<ion-header>
  <ion-toolbar class="fx-toolbar">
    <ion-buttons slot="start">
      <ion-back-button class="text-white" defaultHref="tabs/tab1"></ion-back-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>
<ion-content>
  <section class="class-banner ion-padding">
    <ion-row class="ion-padding-top">
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <div class="profile-card" *ngFor="let profile of profiles; let i = index">
          <ion-row>
            <ion-col size="4" class="vertical-align">
              <div class="profile-image">
                <img [src]="profile.image">
              </div>
            </ion-col>
            <ion-col size="7" class="vertical-align">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="title text-white">
                    {{profile.title}}
                  </ion-text>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="profile-dt text-white">
                    {{profile.content1}}
                  </ion-text>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="profile-dt text-white">
                    {{profile.content2}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-col>
          </ion-row>
        </div>
      </ion-col>
    </ion-row>
  </section>
  <section class="tab-section ion-padding">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row  class="class-tab">
          <ion-col size="4" class="brd-right" (click)="changeTab('myInfo')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'myInfo'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-icon name="alert"></ion-icon>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="sub-title">
                    My Info.
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
          <ion-col size="4" class="brd-right" (click)="changeTab('wallet')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'wallet'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-icon name="wallet"></ion-icon>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="sub-title">
                    Wallet
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
          <ion-col size="4" (click)="changeTab('myPlans')">
            <div class="tab-cart" [ngClass]="{'active-cart': activeTab === 'myPlans'}">
              <ion-row>
                <ion-col size="12" class="ion-no-padding">
                  <ion-icon name="star"></ion-icon>
                </ion-col>
                <ion-col size="12" class="ion-no-padding">
                  <ion-text class="sub-title">
                    My Plans
                  </ion-text>
                </ion-col>
              </ion-row>
            </div>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding" *ngIf="activeTab === 'myInfo'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12" class="ion-padding-bottom">
            <ion-text class="detail-strip">
              Primary Details<ion-icon name="create"></ion-icon>
            </ion-text>
          </ion-col>
          <ion-col size="12" class="ion-padding-bottom">
            <ion-text class="detail-item">
              <span>Name</span> John Wick
            </ion-text>
          </ion-col>
          <ion-col size="12" class="ion-padding-bottom">
            <ion-text class="detail-item">
              <span>Mobile No.</span> +91-9971997825
            </ion-text>
          </ion-col>
          <ion-col size="12" class="ion-padding-bottom">
            <ion-text class="detail-item">
              <span>Board</span> CBSE, JEE
            </ion-text>
          </ion-col>
          <ion-col size="12" class="ion-padding-bottom">
            <ion-text class="detail-item">
              <span>Email</span> jasloreal@gmail.com
            </ion-text>
          </ion-col>
          <ion-col size="12" class="ion-padding-bottom">
            <ion-text class="detail-item">
              <span>Address</span> 445 Mount Eden Road, New Delhi, India
            </ion-text>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding" *ngIf="activeTab === 'wallet'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-text class="title">My Points in Wallet</ion-text>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-card class="wallet-card">
          <ion-row>
            <ion-col size="12" class="waller-head ion-no-padding">
             <ion-row>
               <ion-col size="8" class="brd-right vertical-align">
                 <ion-text class="wallet-title">
                   Available Points
                 </ion-text>
               </ion-col>
               <ion-col size="4" class="vertical-align">
                 <ion-text class="title title-sm">
                   299
                 </ion-text>
               </ion-col>
             </ion-row>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="4" class="vertical-align">
              <img src="assets/icon/refer.svg">
            </ion-col>
            <ion-col size="8" class="vertical-align">
              <ion-row>
                <ion-col size="12">
                  <ion-text class="sub-title">
                    Share the App and Earn
                  </ion-text>
                </ion-col>
                <ion-col size="12">
                  <ion-text class="phra">
                    Earn Upto 300 points / when you refer and earn points
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-col>
          </ion-row>
          <ion-row class="btn-row ion-justify-content-center">
            <ion-col size="6" class="ion-no-padding ion-padding-start ion-padding-end">
              <div class="mybtn2">
                Rate Us
              </div>
            </ion-col>
          </ion-row>
        </ion-card>
      </ion-col>
    </ion-row>
    <div class="credit-wallet-wrap ion-padding-top ion-margin-top">
      <ion-row>
        <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
          <ion-text class="title">My Credit in Wallet</ion-text>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
          <ion-card class="wallet-card">
            <ion-row>
              <ion-col size="12" class="waller-head ion-no-padding">
                <ion-row>
                  <ion-col size="8" class="brd-right vertical-align">
                    <ion-text class="wallet-title">
                      Available Credits
                    </ion-text>
                  </ion-col>
                  <ion-col size="4" class="vertical-align">
                    <ion-text class="title title-sm">
                      350
                    </ion-text>
                  </ion-col>
                </ion-row>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="4" class="vertical-align">
                <img src="assets/icon/refer.svg">
              </ion-col>
              <ion-col size="8" class="vertical-align">
                <ion-row>
                  <ion-col size="12">
                    <ion-text class="sub-title">
                      Solve the doubts & earn
                    </ion-text>
                  </ion-col>
                  <ion-col size="12">
                    <ion-text class="phra">
                      Earn Upto 300 points / per doubts solve the doubts and earn points
                    </ion-text>
                  </ion-col>
                </ion-row>
              </ion-col>
            </ion-row>
            <ion-row class="btn-row ion-justify-content-center">
              <ion-col size="6" class="ion-no-padding ion-padding-start ion-padding-end">
                <div class="mybtn2">
                  Rate Us
                </div>
              </ion-col>
            </ion-row>
          </ion-card>
        </ion-col>
      </ion-row>
      <ion-row class="ion-margin-top ion-padding-top">
        <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
          <ion-text class="strip-content">
            You can use these points/credits to unlock the content of Arjun Classes
          </ion-text>
        </ion-col>
      </ion-row>
    </div>
  </section>
  <section class="ion-padding" *ngIf="activeTab === 'myPlans'">
    <ion-row>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-row>
          <ion-col size="12">
            <ion-row>
              <ion-col size="12" class="ion-padding-bottom">
                <ion-text class="title">
                  Arjun Classes Prime
                </ion-text>
              </ion-col>
              <ion-col size="12">
                <div class="prime-card">
                  <ion-row>
                    <ion-col size="12" class="ion-no-padding">
                      <ion-text class="prime-text vertical-align">
                        Get AC Prime For Best Experience
                      </ion-text>
                    </ion-col>
                    <ion-col size="12" class="ion-no-padding">
                      <img src="assets/home/prime.png">
                    </ion-col>
                  </ion-row>
                </div>
              </ion-col>
            </ion-row>
          </ion-col>
        </ion-row>
        <ion-row class="ion-padding-top">
          <ion-col size="12">
            <ion-row>
              <ion-col size="12" class="ion-padding-bottom">
                <ion-text class="title">
                  Crowd Funding
                </ion-text>
              </ion-col>
              <ion-col size="12">
                <div class="prime-card wallet-card">
                  <ion-row>
                    <ion-col size="12" class="ion-no-padding">
                      <ion-text class="prime-text vertical-align">
                        Contribute & Help to improve community and doubt section
                      </ion-text>
                    </ion-col>
                  </ion-row>
                  <ion-row>
                    <ion-col size="4" class="vertical-align">
                      <img src="assets/icon/refer.svg">
                    </ion-col>
                    <ion-col size="8" class="vertical-align">
                      <ion-row>
                        <ion-col size="12">
                          <ion-text class="sub-title">
                            Solve the doubts & earn
                          </ion-text>
                        </ion-col>
                        <ion-col size="12">
                          <ion-text class="phra">
                            Earn Upto 300 points / per doubts solve the doubts and earn points
                          </ion-text>
                        </ion-col>
                      </ion-row>
                    </ion-col>
                  </ion-row>
                  <ion-row class="btn-row">
                    <ion-col size="6" class="no-padding-top no-padding-bottom">
                      <div class="mybtn2 mybtn-sm ion-justify-content-center">
                        Top Contributers
                      </div>
                    </ion-col>
                    <ion-col size="6" class="no-padding-top no-padding-bottom">
                      <div class="mybtn2 mybtn-sm ion-justify-content-center" (click)="goToContribution()">
                        Contribute Now
                      </div>
                    </ion-col>
                  </ion-row>
                </div>
              </ion-col>
            </ion-row>
          </ion-col>
        </ion-row>



      </ion-col>
    </ion-row>
  </section>
</ion-content>
